# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'C:\Users\ellis.symons\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\tuflow\forms\integrity_tool_dock.ui'
#
# Created by: PyQt5 UI code generator 5.15.10
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_IntegrityTool(object):
    def setupUi(self, IntegrityTool):
        IntegrityTool.setObjectName("IntegrityTool")
        IntegrityTool.resize(616, 814)
        IntegrityTool.setMinimumSize(QtCore.QSize(515, 218))
        self.dockWidgetContents = QtWidgets.QWidget()
        self.dockWidgetContents.setObjectName("dockWidgetContents")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.dockWidgetContents)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_30 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_30.setObjectName("horizontalLayout_30")
        self.label_33 = QtWidgets.QLabel(self.dockWidgetContents)
        self.label_33.setText("")
        self.label_33.setPixmap(QtGui.QPixmap(":/logo/resources/TUFLOW_logo_resized.png"))
        self.label_33.setObjectName("label_33")
        self.horizontalLayout_30.addWidget(self.label_33)
        self.label_34 = QtWidgets.QLabel(self.dockWidgetContents)
        self.label_34.setOpenExternalLinks(True)
        self.label_34.setObjectName("label_34")
        self.horizontalLayout_30.addWidget(self.label_34)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_30.addItem(spacerItem)
        self.verticalLayout.addLayout(self.horizontalLayout_30)
        self.scrollArea = QtWidgets.QScrollArea(self.dockWidgetContents)
        self.scrollArea.setHorizontalScrollBarPolicy(QtCore.Qt.ScrollBarAsNeeded)
        self.scrollArea.setSizeAdjustPolicy(QtWidgets.QAbstractScrollArea.AdjustIgnored)
        self.scrollArea.setWidgetResizable(True)
        self.scrollArea.setObjectName("scrollArea")
        self.scrollAreaWidgetContents = QtWidgets.QWidget()
        self.scrollAreaWidgetContents.setGeometry(QtCore.QRect(-4, 0, 583, 968))
        self.scrollAreaWidgetContents.setObjectName("scrollAreaWidgetContents")
        self.verticalLayout_8 = QtWidgets.QVBoxLayout(self.scrollAreaWidgetContents)
        self.verticalLayout_8.setObjectName("verticalLayout_8")
        self.gbLines = QgsCollapsibleGroupBox(self.scrollAreaWidgetContents)
        self.gbLines.setCollapsed(False)
        self.gbLines.setSaveCollapsedState(False)
        self.gbLines.setObjectName("gbLines")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.gbLines)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.InputLineLayout = QtWidgets.QVBoxLayout()
        self.InputLineLayout.setObjectName("InputLineLayout")
        self.horizontalLayout_32 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_32.setObjectName("horizontalLayout_32")
        self.label = QtWidgets.QLabel(self.gbLines)
        self.label.setObjectName("label")
        self.horizontalLayout_32.addWidget(self.label)
        self.inputLinesToolTip = QtWidgets.QLabel(self.gbLines)
        self.inputLinesToolTip.setObjectName("inputLinesToolTip")
        self.horizontalLayout_32.addWidget(self.inputLinesToolTip)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_32.addItem(spacerItem1)
        self.InputLineLayout.addLayout(self.horizontalLayout_32)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.cboInputLines = QtWidgets.QComboBox(self.gbLines)
        self.cboInputLines.setEditable(False)
        self.cboInputLines.setObjectName("cboInputLines")
        self.horizontalLayout.addWidget(self.cboInputLines)
        self.btnAddLines = QtWidgets.QToolButton(self.gbLines)
        self.btnAddLines.setObjectName("btnAddLines")
        self.horizontalLayout.addWidget(self.btnAddLines)
        self.btnRemoveLines = QtWidgets.QToolButton(self.gbLines)
        self.btnRemoveLines.setObjectName("btnRemoveLines")
        self.horizontalLayout.addWidget(self.btnRemoveLines)
        self.InputLineLayout.addLayout(self.horizontalLayout)
        self.lwLines = QtWidgets.QListWidget(self.gbLines)
        self.lwLines.setMaximumSize(QtCore.QSize(16777215, 100))
        self.lwLines.setSelectionMode(QtWidgets.QAbstractItemView.ExtendedSelection)
        self.lwLines.setObjectName("lwLines")
        self.InputLineLayout.addWidget(self.lwLines)
        self.verticalLayout_3.addLayout(self.InputLineLayout)
        spacerItem2 = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_3.addItem(spacerItem2)
        self.verticalLayout_8.addWidget(self.gbLines)
        self.gbPoints = QgsCollapsibleGroupBox(self.scrollAreaWidgetContents)
        self.gbPoints.setCollapsed(False)
        self.gbPoints.setObjectName("gbPoints")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.gbPoints)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.InputPointLayout = QtWidgets.QVBoxLayout()
        self.InputPointLayout.setObjectName("InputPointLayout")
        self.horizontalLayout_33 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_33.setObjectName("horizontalLayout_33")
        self.label_2 = QtWidgets.QLabel(self.gbPoints)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout_33.addWidget(self.label_2)
        self.inputPointsToolTip = QtWidgets.QLabel(self.gbPoints)
        self.inputPointsToolTip.setObjectName("inputPointsToolTip")
        self.horizontalLayout_33.addWidget(self.inputPointsToolTip)
        spacerItem3 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_33.addItem(spacerItem3)
        self.InputPointLayout.addLayout(self.horizontalLayout_33)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.cboInputPoints = QtWidgets.QComboBox(self.gbPoints)
        self.cboInputPoints.setEditable(False)
        self.cboInputPoints.setObjectName("cboInputPoints")
        self.horizontalLayout_2.addWidget(self.cboInputPoints)
        self.btnAddPoints = QtWidgets.QToolButton(self.gbPoints)
        self.btnAddPoints.setObjectName("btnAddPoints")
        self.horizontalLayout_2.addWidget(self.btnAddPoints)
        self.btnRemovePoints = QtWidgets.QToolButton(self.gbPoints)
        self.btnRemovePoints.setObjectName("btnRemovePoints")
        self.horizontalLayout_2.addWidget(self.btnRemovePoints)
        self.InputPointLayout.addLayout(self.horizontalLayout_2)
        self.lwPoints = QtWidgets.QListWidget(self.gbPoints)
        self.lwPoints.setMaximumSize(QtCore.QSize(16777215, 100))
        self.lwPoints.setSelectionMode(QtWidgets.QAbstractItemView.ExtendedSelection)
        self.lwPoints.setObjectName("lwPoints")
        self.InputPointLayout.addWidget(self.lwPoints)
        self.verticalLayout_2.addLayout(self.InputPointLayout)
        self.verticalLayout_8.addWidget(self.gbPoints)
        self.gbTables = QgsCollapsibleGroupBox(self.scrollAreaWidgetContents)
        self.gbTables.setCollapsed(True)
        self.gbTables.setObjectName("gbTables")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.gbTables)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.InputTableLayout = QtWidgets.QVBoxLayout()
        self.InputTableLayout.setObjectName("InputTableLayout")
        self.horizontalLayout_34 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_34.setObjectName("horizontalLayout_34")
        self.label_3 = QtWidgets.QLabel(self.gbTables)
        self.label_3.setObjectName("label_3")
        self.horizontalLayout_34.addWidget(self.label_3)
        self.inputTablesToolTip = QtWidgets.QLabel(self.gbTables)
        self.inputTablesToolTip.setObjectName("inputTablesToolTip")
        self.horizontalLayout_34.addWidget(self.inputTablesToolTip)
        spacerItem4 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_34.addItem(spacerItem4)
        self.InputTableLayout.addLayout(self.horizontalLayout_34)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.cboInputTables = QtWidgets.QComboBox(self.gbTables)
        self.cboInputTables.setEditable(False)
        self.cboInputTables.setObjectName("cboInputTables")
        self.horizontalLayout_3.addWidget(self.cboInputTables)
        self.btnAddTables = QtWidgets.QToolButton(self.gbTables)
        self.btnAddTables.setObjectName("btnAddTables")
        self.horizontalLayout_3.addWidget(self.btnAddTables)
        self.btnRemoveTables = QtWidgets.QToolButton(self.gbTables)
        self.btnRemoveTables.setObjectName("btnRemoveTables")
        self.horizontalLayout_3.addWidget(self.btnRemoveTables)
        self.InputTableLayout.addLayout(self.horizontalLayout_3)
        self.lwTables = QtWidgets.QListWidget(self.gbTables)
        self.lwTables.setMaximumSize(QtCore.QSize(16777215, 100))
        self.lwTables.setSelectionMode(QtWidgets.QAbstractItemView.ExtendedSelection)
        self.lwTables.setObjectName("lwTables")
        self.InputTableLayout.addWidget(self.lwTables)
        self.verticalLayout_4.addLayout(self.InputTableLayout)
        self.verticalLayout_8.addWidget(self.gbTables)
        self.gbDem = QgsCollapsibleGroupBox(self.scrollAreaWidgetContents)
        self.gbDem.setCheckable(True)
        self.gbDem.setChecked(False)
        self.gbDem.setCollapsed(True)
        self.gbDem.setObjectName("gbDem")
        self.verticalLayout_10 = QtWidgets.QVBoxLayout(self.gbDem)
        self.verticalLayout_10.setObjectName("verticalLayout_10")
        self.horizontalLayout_20 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_20.setObjectName("horizontalLayout_20")
        self.label_11 = QtWidgets.QLabel(self.gbDem)
        self.label_11.setObjectName("label_11")
        self.horizontalLayout_20.addWidget(self.label_11)
        self.cboDem = QtWidgets.QComboBox(self.gbDem)
        self.cboDem.setMinimumSize(QtCore.QSize(150, 0))
        self.cboDem.setObjectName("cboDem")
        self.horizontalLayout_20.addWidget(self.cboDem)
        spacerItem5 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_20.addItem(spacerItem5)
        self.verticalLayout_10.addLayout(self.horizontalLayout_20)
        self.verticalLayout_8.addWidget(self.gbDem)
        self.tabWidget = QtWidgets.QTabWidget(self.scrollAreaWidgetContents)
        self.tabWidget.setObjectName("tabWidget")
        self.Snapping = QtWidgets.QWidget()
        self.Snapping.setObjectName("Snapping")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.Snapping)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.label_5 = QtWidgets.QLabel(self.Snapping)
        self.label_5.setWordWrap(True)
        self.label_5.setOpenExternalLinks(True)
        self.label_5.setObjectName("label_5")
        self.verticalLayout_5.addWidget(self.label_5)
        self.horizontalLayout_8 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        spacerItem6 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_8.addItem(spacerItem6)
        self.cbExclRadius = QtWidgets.QCheckBox(self.Snapping)
        self.cbExclRadius.setChecked(True)
        self.cbExclRadius.setObjectName("cbExclRadius")
        self.horizontalLayout_8.addWidget(self.cbExclRadius)
        self.verticalLayout_5.addLayout(self.horizontalLayout_8)
        self.horizontalLayout_21 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_21.setObjectName("horizontalLayout_21")
        spacerItem7 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_21.addItem(spacerItem7)
        self.sbExclRadius = QtWidgets.QDoubleSpinBox(self.Snapping)
        self.sbExclRadius.setDecimals(1)
        self.sbExclRadius.setMaximum(99999.0)
        self.sbExclRadius.setProperty("value", 10.0)
        self.sbExclRadius.setObjectName("sbExclRadius")
        self.horizontalLayout_21.addWidget(self.sbExclRadius)
        self.label_16 = QtWidgets.QLabel(self.Snapping)
        self.label_16.setObjectName("label_16")
        self.horizontalLayout_21.addWidget(self.label_16)
        spacerItem8 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_21.addItem(spacerItem8)
        self.verticalLayout_5.addLayout(self.horizontalLayout_21)
        self.horizontalLayout_7 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        spacerItem9 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_7.addItem(spacerItem9)
        self.cbAutoSnap = QtWidgets.QCheckBox(self.Snapping)
        self.cbAutoSnap.setObjectName("cbAutoSnap")
        self.horizontalLayout_7.addWidget(self.cbAutoSnap)
        self.verticalLayout_5.addLayout(self.horizontalLayout_7)
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        spacerItem10 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem10)
        self.sbAutoSnapSearchRadius = QtWidgets.QDoubleSpinBox(self.Snapping)
        self.sbAutoSnapSearchRadius.setDecimals(3)
        self.sbAutoSnapSearchRadius.setMinimum(0.001)
        self.sbAutoSnapSearchRadius.setMaximum(99999.0)
        self.sbAutoSnapSearchRadius.setProperty("value", 1.5)
        self.sbAutoSnapSearchRadius.setObjectName("sbAutoSnapSearchRadius")
        self.horizontalLayout_6.addWidget(self.sbAutoSnapSearchRadius)
        self.label_4 = QtWidgets.QLabel(self.Snapping)
        self.label_4.setEnabled(True)
        font = QtGui.QFont()
        font.setBold(False)
        font.setWeight(50)
        self.label_4.setFont(font)
        self.label_4.setObjectName("label_4")
        self.horizontalLayout_6.addWidget(self.label_4)
        spacerItem11 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem11)
        self.verticalLayout_5.addLayout(self.horizontalLayout_6)
        spacerItem12 = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_5.addItem(spacerItem12)
        self.tabWidget.addTab(self.Snapping, "")
        self.PipeDirection = QtWidgets.QWidget()
        self.PipeDirection.setObjectName("PipeDirection")
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(self.PipeDirection)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.label_6 = QtWidgets.QLabel(self.PipeDirection)
        self.label_6.setWordWrap(True)
        self.label_6.setOpenExternalLinks(True)
        self.label_6.setObjectName("label_6")
        self.verticalLayout_6.addWidget(self.label_6)
        self.horizontalLayout_9 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_9.setObjectName("horizontalLayout_9")
        spacerItem13 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_9.addItem(spacerItem13)
        self.cbBasedOnInverts = QtWidgets.QRadioButton(self.PipeDirection)
        self.cbBasedOnInverts.setObjectName("cbBasedOnInverts")
        self.buttonGroup_2 = QtWidgets.QButtonGroup(IntegrityTool)
        self.buttonGroup_2.setObjectName("buttonGroup_2")
        self.buttonGroup_2.addButton(self.cbBasedOnInverts)
        self.horizontalLayout_9.addWidget(self.cbBasedOnInverts)
        self.verticalLayout_6.addLayout(self.horizontalLayout_9)
        self.horizontalLayout_10 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_10.setObjectName("horizontalLayout_10")
        spacerItem14 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_10.addItem(spacerItem14)
        self.cbBasedOnContinuity = QtWidgets.QRadioButton(self.PipeDirection)
        self.cbBasedOnContinuity.setChecked(True)
        self.cbBasedOnContinuity.setObjectName("cbBasedOnContinuity")
        self.buttonGroup_2.addButton(self.cbBasedOnContinuity)
        self.horizontalLayout_10.addWidget(self.cbBasedOnContinuity)
        self.verticalLayout_6.addLayout(self.horizontalLayout_10)
        spacerItem15 = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_6.addItem(spacerItem15)
        self.tabWidget.addTab(self.PipeDirection, "")
        self.Continuity = QtWidgets.QWidget()
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.Continuity.sizePolicy().hasHeightForWidth())
        self.Continuity.setSizePolicy(sizePolicy)
        self.Continuity.setObjectName("Continuity")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.Continuity)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.label_12 = QtWidgets.QLabel(self.Continuity)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_12.sizePolicy().hasHeightForWidth())
        self.label_12.setSizePolicy(sizePolicy)
        self.label_12.setWordWrap(True)
        self.label_12.setOpenExternalLinks(True)
        self.label_12.setObjectName("label_12")
        self.verticalLayout_7.addWidget(self.label_12)
        self.gridLayout_5 = QtWidgets.QGridLayout()
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.lblSwmmLinkOffsetOptionContinuity = QtWidgets.QLabel(self.Continuity)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lblSwmmLinkOffsetOptionContinuity.sizePolicy().hasHeightForWidth())
        self.lblSwmmLinkOffsetOptionContinuity.setSizePolicy(sizePolicy)
        self.lblSwmmLinkOffsetOptionContinuity.setObjectName("lblSwmmLinkOffsetOptionContinuity")
        self.gridLayout_5.addWidget(self.lblSwmmLinkOffsetOptionContinuity, 0, 0, 1, 1)
        self.cbxSwmmLinkOffsetOptionContinuity = QtWidgets.QComboBox(self.Continuity)
        self.cbxSwmmLinkOffsetOptionContinuity.setObjectName("cbxSwmmLinkOffsetOptionContinuity")
        self.cbxSwmmLinkOffsetOptionContinuity.addItem("")
        self.cbxSwmmLinkOffsetOptionContinuity.addItem("")
        self.gridLayout_5.addWidget(self.cbxSwmmLinkOffsetOptionContinuity, 0, 1, 1, 1)
        self.verticalLayout_7.addLayout(self.gridLayout_5)
        self.horizontalLayout_11 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_11.setObjectName("horizontalLayout_11")
        spacerItem16 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_11.addItem(spacerItem16)
        self.cbContinuityArea = QtWidgets.QCheckBox(self.Continuity)
        self.cbContinuityArea.setObjectName("cbContinuityArea")
        self.horizontalLayout_11.addWidget(self.cbContinuityArea)
        self.verticalLayout_7.addLayout(self.horizontalLayout_11)
        self.horizontalLayout_22 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_22.setObjectName("horizontalLayout_22")
        spacerItem17 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_22.addItem(spacerItem17)
        self.label_22 = QtWidgets.QLabel(self.Continuity)
        self.label_22.setWordWrap(True)
        self.label_22.setObjectName("label_22")
        self.horizontalLayout_22.addWidget(self.label_22)
        self.verticalLayout_7.addLayout(self.horizontalLayout_22)
        self.horizontalLayout_35 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_35.setObjectName("horizontalLayout_35")
        spacerItem18 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_35.addItem(spacerItem18)
        self.sbContinuityArea = QtWidgets.QSpinBox(self.Continuity)
        self.sbContinuityArea.setProperty("value", 20)
        self.sbContinuityArea.setObjectName("sbContinuityArea")
        self.horizontalLayout_35.addWidget(self.sbContinuityArea)
        spacerItem19 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_35.addItem(spacerItem19)
        self.verticalLayout_7.addLayout(self.horizontalLayout_35)
        self.horizontalLayout_12 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_12.setObjectName("horizontalLayout_12")
        spacerItem20 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_12.addItem(spacerItem20)
        self.cbContinuityInverts = QtWidgets.QCheckBox(self.Continuity)
        self.cbContinuityInverts.setObjectName("cbContinuityInverts")
        self.horizontalLayout_12.addWidget(self.cbContinuityInverts)
        self.verticalLayout_7.addLayout(self.horizontalLayout_12)
        self.horizontalLayout_13 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_13.setObjectName("horizontalLayout_13")
        spacerItem21 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_13.addItem(spacerItem21)
        self.cbContinuityAngle = QtWidgets.QCheckBox(self.Continuity)
        self.cbContinuityAngle.setObjectName("cbContinuityAngle")
        self.horizontalLayout_13.addWidget(self.cbContinuityAngle)
        self.verticalLayout_7.addLayout(self.horizontalLayout_13)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        spacerItem22 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem22, 1, 2, 1, 1)
        self.sbContinuityAngle = QtWidgets.QSpinBox(self.Continuity)
        self.sbContinuityAngle.setMaximum(360)
        self.sbContinuityAngle.setProperty("value", 70)
        self.sbContinuityAngle.setObjectName("sbContinuityAngle")
        self.gridLayout.addWidget(self.sbContinuityAngle, 1, 1, 1, 1)
        spacerItem23 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem23, 0, 0, 1, 1)
        self.label_7 = QtWidgets.QLabel(self.Continuity)
        self.label_7.setObjectName("label_7")
        self.gridLayout.addWidget(self.label_7, 0, 1, 1, 2)
        self.verticalLayout_7.addLayout(self.gridLayout)
        self.horizontalLayout_14 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_14.setObjectName("horizontalLayout_14")
        spacerItem24 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_14.addItem(spacerItem24)
        self.cbContinuityCover = QtWidgets.QCheckBox(self.Continuity)
        self.cbContinuityCover.setObjectName("cbContinuityCover")
        self.horizontalLayout_14.addWidget(self.cbContinuityCover)
        self.verticalLayout_7.addLayout(self.horizontalLayout_14)
        self.gridLayout_2 = QtWidgets.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        spacerItem25 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_2.addItem(spacerItem25, 0, 0, 1, 1)
        self.label_9 = QtWidgets.QLabel(self.Continuity)
        self.label_9.setObjectName("label_9")
        self.gridLayout_2.addWidget(self.label_9, 0, 1, 1, 2)
        self.sbContinuityCover = QtWidgets.QDoubleSpinBox(self.Continuity)
        self.sbContinuityCover.setDecimals(1)
        self.sbContinuityCover.setMaximum(9999999.0)
        self.sbContinuityCover.setProperty("value", 0.5)
        self.sbContinuityCover.setObjectName("sbContinuityCover")
        self.gridLayout_2.addWidget(self.sbContinuityCover, 1, 1, 1, 1)
        spacerItem26 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_2.addItem(spacerItem26, 1, 2, 1, 1)
        self.verticalLayout_7.addLayout(self.gridLayout_2)
        spacerItem27 = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_7.addItem(spacerItem27)
        self.tabWidget.addTab(self.Continuity, "")
        self.FlowTrace = QtWidgets.QWidget()
        self.FlowTrace.setObjectName("FlowTrace")
        self.verticalLayout_9 = QtWidgets.QVBoxLayout(self.FlowTrace)
        self.verticalLayout_9.setObjectName("verticalLayout_9")
        self.label_18 = QtWidgets.QLabel(self.FlowTrace)
        self.label_18.setWordWrap(True)
        self.label_18.setOpenExternalLinks(True)
        self.label_18.setObjectName("label_18")
        self.verticalLayout_9.addWidget(self.label_18)
        self.boxSwmmLinkOffsetOptionFlowtrace = QtWidgets.QHBoxLayout()
        self.boxSwmmLinkOffsetOptionFlowtrace.setObjectName("boxSwmmLinkOffsetOptionFlowtrace")
        self.lblSwmmLinkOffsetOption = QtWidgets.QLabel(self.FlowTrace)
        self.lblSwmmLinkOffsetOption.setObjectName("lblSwmmLinkOffsetOption")
        self.boxSwmmLinkOffsetOptionFlowtrace.addWidget(self.lblSwmmLinkOffsetOption)
        self.cbxSwmmLinkOffsetOption = QtWidgets.QComboBox(self.FlowTrace)
        self.cbxSwmmLinkOffsetOption.setObjectName("cbxSwmmLinkOffsetOption")
        self.cbxSwmmLinkOffsetOption.addItem("")
        self.cbxSwmmLinkOffsetOption.addItem("")
        self.boxSwmmLinkOffsetOptionFlowtrace.addWidget(self.cbxSwmmLinkOffsetOption)
        self.verticalLayout_9.addLayout(self.boxSwmmLinkOffsetOptionFlowtrace)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        spacerItem28 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem28)
        self.cbFlowTraceArea = QtWidgets.QCheckBox(self.FlowTrace)
        self.cbFlowTraceArea.setObjectName("cbFlowTraceArea")
        self.horizontalLayout_4.addWidget(self.cbFlowTraceArea)
        self.verticalLayout_9.addLayout(self.horizontalLayout_4)
        self.horizontalLayout_36 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_36.setObjectName("horizontalLayout_36")
        spacerItem29 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_36.addItem(spacerItem29)
        self.label_21 = QtWidgets.QLabel(self.FlowTrace)
        self.label_21.setWordWrap(True)
        self.label_21.setObjectName("label_21")
        self.horizontalLayout_36.addWidget(self.label_21)
        self.verticalLayout_9.addLayout(self.horizontalLayout_36)
        self.horizontalLayout_37 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_37.setObjectName("horizontalLayout_37")
        spacerItem30 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_37.addItem(spacerItem30)
        self.sbFlowTraceArea = QtWidgets.QSpinBox(self.FlowTrace)
        self.sbFlowTraceArea.setProperty("value", 20)
        self.sbFlowTraceArea.setObjectName("sbFlowTraceArea")
        self.horizontalLayout_37.addWidget(self.sbFlowTraceArea)
        spacerItem31 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_37.addItem(spacerItem31)
        self.verticalLayout_9.addLayout(self.horizontalLayout_37)
        self.horizontalLayout_17 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_17.setObjectName("horizontalLayout_17")
        spacerItem32 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_17.addItem(spacerItem32)
        self.cbFlowTraceInverts = QtWidgets.QCheckBox(self.FlowTrace)
        self.cbFlowTraceInverts.setObjectName("cbFlowTraceInverts")
        self.horizontalLayout_17.addWidget(self.cbFlowTraceInverts)
        self.verticalLayout_9.addLayout(self.horizontalLayout_17)
        self.horizontalLayout_15 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_15.setObjectName("horizontalLayout_15")
        spacerItem33 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_15.addItem(spacerItem33)
        self.cbFlowTraceAngle = QtWidgets.QCheckBox(self.FlowTrace)
        self.cbFlowTraceAngle.setObjectName("cbFlowTraceAngle")
        self.horizontalLayout_15.addWidget(self.cbFlowTraceAngle)
        self.verticalLayout_9.addLayout(self.horizontalLayout_15)
        self.gridLayout_3 = QtWidgets.QGridLayout()
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.label_14 = QtWidgets.QLabel(self.FlowTrace)
        self.label_14.setObjectName("label_14")
        self.gridLayout_3.addWidget(self.label_14, 0, 1, 1, 2)
        spacerItem34 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_3.addItem(spacerItem34, 1, 2, 1, 1)
        self.sbFlowTraceAngle = QtWidgets.QSpinBox(self.FlowTrace)
        self.sbFlowTraceAngle.setMaximum(360)
        self.sbFlowTraceAngle.setProperty("value", 70)
        self.sbFlowTraceAngle.setObjectName("sbFlowTraceAngle")
        self.gridLayout_3.addWidget(self.sbFlowTraceAngle, 1, 1, 1, 1)
        spacerItem35 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_3.addItem(spacerItem35, 0, 0, 1, 1)
        self.verticalLayout_9.addLayout(self.gridLayout_3)
        self.horizontalLayout_16 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_16.setObjectName("horizontalLayout_16")
        spacerItem36 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_16.addItem(spacerItem36)
        self.cbFlowTraceCover = QtWidgets.QCheckBox(self.FlowTrace)
        self.cbFlowTraceCover.setObjectName("cbFlowTraceCover")
        self.horizontalLayout_16.addWidget(self.cbFlowTraceCover)
        self.verticalLayout_9.addLayout(self.horizontalLayout_16)
        self.gridLayout_4 = QtWidgets.QGridLayout()
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.sbFlowTraceCover = QtWidgets.QDoubleSpinBox(self.FlowTrace)
        self.sbFlowTraceCover.setPrefix("")
        self.sbFlowTraceCover.setDecimals(1)
        self.sbFlowTraceCover.setMaximum(9999999.0)
        self.sbFlowTraceCover.setProperty("value", 0.5)
        self.sbFlowTraceCover.setObjectName("sbFlowTraceCover")
        self.gridLayout_4.addWidget(self.sbFlowTraceCover, 1, 1, 1, 1)
        spacerItem37 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_4.addItem(spacerItem37, 1, 3, 1, 1)
        self.label_17 = QtWidgets.QLabel(self.FlowTrace)
        self.label_17.setObjectName("label_17")
        self.gridLayout_4.addWidget(self.label_17, 0, 1, 1, 3)
        spacerItem38 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_4.addItem(spacerItem38, 0, 0, 1, 1)
        self.verticalLayout_9.addLayout(self.gridLayout_4)
        self.horizontalLayout_19 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_19.setObjectName("horizontalLayout_19")
        spacerItem39 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_19.addItem(spacerItem39)
        self.cbFlowTraceLongPlots = QtWidgets.QCheckBox(self.FlowTrace)
        self.cbFlowTraceLongPlots.setObjectName("cbFlowTraceLongPlots")
        self.horizontalLayout_19.addWidget(self.cbFlowTraceLongPlots)
        self.verticalLayout_9.addLayout(self.horizontalLayout_19)
        self.horizontalLayout_38 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_38.setObjectName("horizontalLayout_38")
        self.pbUsePrevChan = QtWidgets.QPushButton(self.FlowTrace)
        self.pbUsePrevChan.setObjectName("pbUsePrevChan")
        self.horizontalLayout_38.addWidget(self.pbUsePrevChan)
        spacerItem40 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_38.addItem(spacerItem40)
        self.verticalLayout_9.addLayout(self.horizontalLayout_38)
        self.mGroupBox = QgsCollapsibleGroupBox(self.FlowTrace)
        self.mGroupBox.setCollapsed(True)
        self.mGroupBox.setObjectName("mGroupBox")
        self.verticalLayout_15 = QtWidgets.QVBoxLayout(self.mGroupBox)
        self.verticalLayout_15.setObjectName("verticalLayout_15")
        self.horizontalLayout_39 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_39.setObjectName("horizontalLayout_39")
        self.sbTimeoutLimit = QtWidgets.QSpinBox(self.mGroupBox)
        self.sbTimeoutLimit.setMinimum(1)
        self.sbTimeoutLimit.setMaximum(99999)
        self.sbTimeoutLimit.setObjectName("sbTimeoutLimit")
        self.horizontalLayout_39.addWidget(self.sbTimeoutLimit)
        self.label_19 = QtWidgets.QLabel(self.mGroupBox)
        self.label_19.setObjectName("label_19")
        self.horizontalLayout_39.addWidget(self.label_19)
        spacerItem41 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_39.addItem(spacerItem41)
        self.verticalLayout_15.addLayout(self.horizontalLayout_39)
        self.horizontalLayout_40 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_40.setObjectName("horizontalLayout_40")
        self.sbRecursionLimit = QtWidgets.QSpinBox(self.mGroupBox)
        self.sbRecursionLimit.setMinimum(1)
        self.sbRecursionLimit.setMaximum(10000000)
        self.sbRecursionLimit.setObjectName("sbRecursionLimit")
        self.horizontalLayout_40.addWidget(self.sbRecursionLimit)
        self.label_20 = QtWidgets.QLabel(self.mGroupBox)
        self.label_20.setObjectName("label_20")
        self.horizontalLayout_40.addWidget(self.label_20)
        spacerItem42 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_40.addItem(spacerItem42)
        self.verticalLayout_15.addLayout(self.horizontalLayout_40)
        self.verticalLayout_9.addWidget(self.mGroupBox)
        spacerItem43 = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_9.addItem(spacerItem43)
        self.tabWidget.addTab(self.FlowTrace, "")
        self.tab = QtWidgets.QWidget()
        self.tab.setObjectName("tab")
        self.verticalLayout_11 = QtWidgets.QVBoxLayout(self.tab)
        self.verticalLayout_11.setObjectName("verticalLayout_11")
        self.label_8 = QtWidgets.QLabel(self.tab)
        self.label_8.setWordWrap(True)
        self.label_8.setOpenExternalLinks(True)
        self.label_8.setObjectName("label_8")
        self.verticalLayout_11.addWidget(self.label_8)
        spacerItem44 = QtWidgets.QSpacerItem(20, 10, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        self.verticalLayout_11.addItem(spacerItem44)
        self.horizontalLayout_18 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_18.setObjectName("horizontalLayout_18")
        spacerItem45 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_18.addItem(spacerItem45)
        self.cbFindNonCompIDs = QtWidgets.QCheckBox(self.tab)
        self.cbFindNonCompIDs.setObjectName("cbFindNonCompIDs")
        self.horizontalLayout_18.addWidget(self.cbFindNonCompIDs)
        self.verticalLayout_11.addLayout(self.horizontalLayout_18)
        spacerItem46 = QtWidgets.QSpacerItem(20, 10, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        self.verticalLayout_11.addItem(spacerItem46)
        self.horizontalLayout_23 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_23.setObjectName("horizontalLayout_23")
        spacerItem47 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_23.addItem(spacerItem47)
        self.cbFixChannelIDs = QtWidgets.QCheckBox(self.tab)
        self.cbFixChannelIDs.setObjectName("cbFixChannelIDs")
        self.horizontalLayout_23.addWidget(self.cbFixChannelIDs)
        self.verticalLayout_11.addLayout(self.horizontalLayout_23)
        self.horizontalLayout_31 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_31.setObjectName("horizontalLayout_31")
        spacerItem48 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_31.addItem(spacerItem48)
        self.groupBox = QtWidgets.QGroupBox(self.tab)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout_12 = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout_12.setObjectName("verticalLayout_12")
        self.label_13 = QtWidgets.QLabel(self.groupBox)
        self.label_13.setObjectName("label_13")
        self.verticalLayout_12.addWidget(self.label_13)
        self.rbDuplicateUseLetters = QtWidgets.QRadioButton(self.groupBox)
        self.rbDuplicateUseLetters.setChecked(True)
        self.rbDuplicateUseLetters.setObjectName("rbDuplicateUseLetters")
        self.buttonGroup = QtWidgets.QButtonGroup(IntegrityTool)
        self.buttonGroup.setObjectName("buttonGroup")
        self.buttonGroup.addButton(self.rbDuplicateUseLetters)
        self.verticalLayout_12.addWidget(self.rbDuplicateUseLetters)
        self.rbDuplicateUseNumbers = QtWidgets.QRadioButton(self.groupBox)
        self.rbDuplicateUseNumbers.setObjectName("rbDuplicateUseNumbers")
        self.buttonGroup.addButton(self.rbDuplicateUseNumbers)
        self.verticalLayout_12.addWidget(self.rbDuplicateUseNumbers)
        self.horizontalLayout_24 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_24.setObjectName("horizontalLayout_24")
        spacerItem49 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_24.addItem(spacerItem49)
        self.label_10 = QtWidgets.QLabel(self.groupBox)
        self.label_10.setObjectName("label_10")
        self.horizontalLayout_24.addWidget(self.label_10)
        self.leCustomDelim = QtWidgets.QLineEdit(self.groupBox)
        self.leCustomDelim.setMaximumSize(QtCore.QSize(30, 16777215))
        self.leCustomDelim.setObjectName("leCustomDelim")
        self.horizontalLayout_24.addWidget(self.leCustomDelim)
        spacerItem50 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_24.addItem(spacerItem50)
        self.verticalLayout_12.addLayout(self.horizontalLayout_24)
        self.label_15 = QtWidgets.QLabel(self.groupBox)
        self.label_15.setObjectName("label_15")
        self.verticalLayout_12.addWidget(self.label_15)
        self.horizontalLayout_25 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_25.setObjectName("horizontalLayout_25")
        spacerItem51 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_25.addItem(spacerItem51)
        self.label_23 = QtWidgets.QLabel(self.groupBox)
        self.label_23.setObjectName("label_23")
        self.horizontalLayout_25.addWidget(self.label_23)
        self.leDefaultPrefix = QtWidgets.QLineEdit(self.groupBox)
        self.leDefaultPrefix.setObjectName("leDefaultPrefix")
        self.horizontalLayout_25.addWidget(self.leDefaultPrefix)
        spacerItem52 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_25.addItem(spacerItem52)
        self.verticalLayout_12.addLayout(self.horizontalLayout_25)
        self.horizontalLayout_26 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_26.setObjectName("horizontalLayout_26")
        spacerItem53 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_26.addItem(spacerItem53)
        self.label_24 = QtWidgets.QLabel(self.groupBox)
        self.label_24.setObjectName("label_24")
        self.horizontalLayout_26.addWidget(self.label_24)
        self.leType1 = QtWidgets.QLineEdit(self.groupBox)
        self.leType1.setMaximumSize(QtCore.QSize(40, 16777215))
        self.leType1.setObjectName("leType1")
        self.horizontalLayout_26.addWidget(self.leType1)
        self.label_25 = QtWidgets.QLabel(self.groupBox)
        self.label_25.setObjectName("label_25")
        self.horizontalLayout_26.addWidget(self.label_25)
        self.lePrefix1 = QtWidgets.QLineEdit(self.groupBox)
        self.lePrefix1.setObjectName("lePrefix1")
        self.horizontalLayout_26.addWidget(self.lePrefix1)
        spacerItem54 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_26.addItem(spacerItem54)
        self.verticalLayout_12.addLayout(self.horizontalLayout_26)
        self.horizontalLayout_27 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_27.setObjectName("horizontalLayout_27")
        spacerItem55 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_27.addItem(spacerItem55)
        self.label_26 = QtWidgets.QLabel(self.groupBox)
        self.label_26.setObjectName("label_26")
        self.horizontalLayout_27.addWidget(self.label_26)
        self.leType2 = QtWidgets.QLineEdit(self.groupBox)
        self.leType2.setMaximumSize(QtCore.QSize(40, 16777215))
        self.leType2.setObjectName("leType2")
        self.horizontalLayout_27.addWidget(self.leType2)
        self.label_27 = QtWidgets.QLabel(self.groupBox)
        self.label_27.setObjectName("label_27")
        self.horizontalLayout_27.addWidget(self.label_27)
        self.lePrefix2 = QtWidgets.QLineEdit(self.groupBox)
        self.lePrefix2.setObjectName("lePrefix2")
        self.horizontalLayout_27.addWidget(self.lePrefix2)
        spacerItem56 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_27.addItem(spacerItem56)
        self.verticalLayout_12.addLayout(self.horizontalLayout_27)
        self.horizontalLayout_28 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_28.setObjectName("horizontalLayout_28")
        spacerItem57 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_28.addItem(spacerItem57)
        self.label_28 = QtWidgets.QLabel(self.groupBox)
        self.label_28.setObjectName("label_28")
        self.horizontalLayout_28.addWidget(self.label_28)
        self.leType3 = QtWidgets.QLineEdit(self.groupBox)
        self.leType3.setMaximumSize(QtCore.QSize(40, 16777215))
        self.leType3.setObjectName("leType3")
        self.horizontalLayout_28.addWidget(self.leType3)
        self.label_29 = QtWidgets.QLabel(self.groupBox)
        self.label_29.setObjectName("label_29")
        self.horizontalLayout_28.addWidget(self.label_29)
        self.lePrefix3 = QtWidgets.QLineEdit(self.groupBox)
        self.lePrefix3.setObjectName("lePrefix3")
        self.horizontalLayout_28.addWidget(self.lePrefix3)
        spacerItem58 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_28.addItem(spacerItem58)
        self.verticalLayout_12.addLayout(self.horizontalLayout_28)
        self.horizontalLayout_29 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_29.setObjectName("horizontalLayout_29")
        spacerItem59 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_29.addItem(spacerItem59)
        self.label_30 = QtWidgets.QLabel(self.groupBox)
        self.label_30.setObjectName("label_30")
        self.horizontalLayout_29.addWidget(self.label_30)
        self.leType4 = QtWidgets.QLineEdit(self.groupBox)
        self.leType4.setMaximumSize(QtCore.QSize(40, 16777215))
        self.leType4.setObjectName("leType4")
        self.horizontalLayout_29.addWidget(self.leType4)
        self.label_31 = QtWidgets.QLabel(self.groupBox)
        self.label_31.setObjectName("label_31")
        self.horizontalLayout_29.addWidget(self.label_31)
        self.lePrefix4 = QtWidgets.QLineEdit(self.groupBox)
        self.lePrefix4.setObjectName("lePrefix4")
        self.horizontalLayout_29.addWidget(self.lePrefix4)
        spacerItem60 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_29.addItem(spacerItem60)
        self.verticalLayout_12.addLayout(self.horizontalLayout_29)
        self.horizontalLayout_31.addWidget(self.groupBox)
        self.verticalLayout_11.addLayout(self.horizontalLayout_31)
        spacerItem61 = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_11.addItem(spacerItem61)
        self.tabWidget.addTab(self.tab, "")
        self.tab_2 = QtWidgets.QWidget()
        self.tab_2.setObjectName("tab_2")
        self.verticalLayout_13 = QtWidgets.QVBoxLayout(self.tab_2)
        self.verticalLayout_13.setObjectName("verticalLayout_13")
        self.label_32 = QtWidgets.QLabel(self.tab_2)
        self.label_32.setWordWrap(True)
        self.label_32.setOpenExternalLinks(True)
        self.label_32.setObjectName("label_32")
        self.verticalLayout_13.addWidget(self.label_32)
        spacerItem62 = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_13.addItem(spacerItem62)
        self.tabWidget.addTab(self.tab_2, "")
        self.verticalLayout_8.addWidget(self.tabWidget)
        self.scrollArea.setWidget(self.scrollAreaWidgetContents)
        self.verticalLayout.addWidget(self.scrollArea)
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.progressBar = QtWidgets.QProgressBar(self.dockWidgetContents)
        self.progressBar.setProperty("value", 0)
        self.progressBar.setObjectName("progressBar")
        self.horizontalLayout_5.addWidget(self.progressBar)
        self.runStatus = QtWidgets.QLabel(self.dockWidgetContents)
        self.runStatus.setMinimumSize(QtCore.QSize(0, 0))
        self.runStatus.setObjectName("runStatus")
        self.horizontalLayout_5.addWidget(self.runStatus)
        self.pbRun = QtWidgets.QPushButton(self.dockWidgetContents)
        self.pbRun.setObjectName("pbRun")
        self.horizontalLayout_5.addWidget(self.pbRun)
        self.verticalLayout.addLayout(self.horizontalLayout_5)
        IntegrityTool.setWidget(self.dockWidgetContents)

        self.retranslateUi(IntegrityTool)
        self.tabWidget.setCurrentIndex(0)
        QtCore.QMetaObject.connectSlotsByName(IntegrityTool)

    def retranslateUi(self, IntegrityTool):
        _translate = QtCore.QCoreApplication.translate
        IntegrityTool.setWindowTitle(_translate("IntegrityTool", "1D Integrity Tool"))
        self.label_34.setText(_translate("IntegrityTool", "<html><head/><body><p><a href=\"https://wiki.tuflow.com/index.php?title=1D_Integrity_Tool\"><span style=\" text-decoration: underline; color:#0000ff;\">Documentation</span></a></p></body></html>"))
        self.gbLines.setTitle(_translate("IntegrityTool", "Input Network Lines"))
        self.label.setText(_translate("IntegrityTool", "1D Network Line Layers (1d_nwk_L)"))
        self.inputLinesToolTip.setText(_translate("IntegrityTool", "<html><head/><body><p><span style=\" font-weight:600;\">(?)</span></p></body></html>"))
        self.btnAddLines.setText(_translate("IntegrityTool", "..."))
        self.btnRemoveLines.setText(_translate("IntegrityTool", "..."))
        self.gbPoints.setTitle(_translate("IntegrityTool", "Input Network Points"))
        self.label_2.setText(_translate("IntegrityTool", "1D Point Layers (1d_nwk_P)"))
        self.inputPointsToolTip.setText(_translate("IntegrityTool", "<html><head/><body><p><span style=\" font-weight:600;\">(?)</span></p></body></html>"))
        self.btnAddPoints.setText(_translate("IntegrityTool", "..."))
        self.btnRemovePoints.setText(_translate("IntegrityTool", "..."))
        self.gbTables.setTitle(_translate("IntegrityTool", "Input Tables"))
        self.label_3.setText(_translate("IntegrityTool", "1d Table Layers (1d_tab, 1d_xs, 1d_cs)"))
        self.inputTablesToolTip.setText(_translate("IntegrityTool", "<html><head/><body><p><span style=\" font-weight:600;\">(?)</span></p></body></html>"))
        self.btnAddTables.setText(_translate("IntegrityTool", "..."))
        self.btnRemoveTables.setText(_translate("IntegrityTool", "..."))
        self.gbDem.setTitle(_translate("IntegrityTool", "Input DEM"))
        self.label_11.setText(_translate("IntegrityTool", "DEM:"))
        self.label_5.setText(_translate("IntegrityTool", "<html><head/><body><p><span style=\" font-weight:600;\">Checks and corrects snapping of all network elements (lines and points).</span></p><p>Documentation:<br/><a href=\"https://wiki.tuflow.com/index.php?title=1D_Integrity_Tool_-_Snapping_Tool\"><span style=\" text-decoration: underline; color:#0000ff;\">https://wiki.tuflow.com/index.php?title=1D_Integrity_Tool_-_Snapping_Tool<br/></span></a></p></body></html>"))
        self.cbExclRadius.setText(_translate("IntegrityTool", "Use an exclusion radius when checking for snapping"))
        self.label_16.setText(_translate("IntegrityTool", "Exclusion radius (units based on project projection)"))
        self.cbAutoSnap.setText(_translate("IntegrityTool", "Auto Snap"))
        self.label_4.setText(_translate("IntegrityTool", "Search radius (units based on project projection)"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.Snapping), _translate("IntegrityTool", "Snapping"))
        self.label_6.setText(_translate("IntegrityTool", "<html><head/><body><p><span style=\" font-weight:600;\">Correct pipe direction.</span></p><p>Documentation:<br/><a href=\"https://wiki.tuflow.com/index.php?title=1D_Integrity_Tool_-_Pipe_Direction\"><span style=\" text-decoration: underline; color:#0000ff;\">https://wiki.tuflow.com/index.php?title=1D_Integrity_Tool_-_Pipe_Direction<br/></span></a></p></body></html>"))
        self.cbBasedOnInverts.setText(_translate("IntegrityTool", "Based on inverts"))
        self.cbBasedOnContinuity.setText(_translate("IntegrityTool", "Based on pipe direction continuity"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.PipeDirection), _translate("IntegrityTool", "Pipe Direction"))
        self.label_12.setText(_translate("IntegrityTool", "<html><head/><body><p><span style=\" font-weight:600;\">Check entire network for downstream pipe continuity.</span></p><p>Documentation:<br/><a href=\"https://wiki.tuflow.com/index.php?title=1D_Integrity_Tool_-_Continuity\"><span style=\" text-decoration: underline; color:#0000ff;\">https://wiki.tuflow.com/index.php?title=1D_Integrity_Tool_-_Continuity<br/></span></a></p></body></html>"))
        self.lblSwmmLinkOffsetOptionContinuity.setText(_translate("IntegrityTool", "SWMM Link Offset Option"))
        self.cbxSwmmLinkOffsetOptionContinuity.setItemText(0, _translate("IntegrityTool", "Depth"))
        self.cbxSwmmLinkOffsetOptionContinuity.setItemText(1, _translate("IntegrityTool", "Elevation"))
        self.cbContinuityArea.setText(_translate("IntegrityTool", "Flow Area Check"))
        self.label_22.setText(_translate("IntegrityTool", "% area decrease where there are multiple incoming pipes at the junction"))
        self.sbContinuityArea.setSuffix(_translate("IntegrityTool", "%"))
        self.cbContinuityInverts.setText(_translate("IntegrityTool", "Invert Check"))
        self.cbContinuityAngle.setText(_translate("IntegrityTool", "Angle Check"))
        self.sbContinuityAngle.setSuffix(_translate("IntegrityTool", " deg"))
        self.label_7.setText(_translate("IntegrityTool", "Flag angles less than:"))
        self.cbContinuityCover.setText(_translate("IntegrityTool", "Ground Cover Check"))
        self.label_9.setText(_translate("IntegrityTool", "Flag cover depths less than (map units are determined by the project projection):"))
        self.sbContinuityCover.setSuffix(_translate("IntegrityTool", " map units"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.Continuity), _translate("IntegrityTool", "Continuity"))
        self.label_18.setText(_translate("IntegrityTool", "<html><head/><body><p><span style=\" font-weight:600;\">Trace upstream network from selected pipe and perform continuity check of traced network.</span></p><p>Documentation:<br/><a href=\"https://wiki.tuflow.com/index.php?title=1D_Integrity_Tool_-_Flow_Trace\"><span style=\" text-decoration: underline; color:#0000ff;\">https://wiki.tuflow.com/index.php?title=1D_Integrity_Tool_-_Flow_Trace<br/></span></a></p></body></html>"))
        self.lblSwmmLinkOffsetOption.setText(_translate("IntegrityTool", "SWMM Link Offset Option"))
        self.cbxSwmmLinkOffsetOption.setItemText(0, _translate("IntegrityTool", "Depth"))
        self.cbxSwmmLinkOffsetOption.setItemText(1, _translate("IntegrityTool", "Elevation"))
        self.cbFlowTraceArea.setText(_translate("IntegrityTool", "Flow Area Check"))
        self.label_21.setText(_translate("IntegrityTool", "% area decrease where there are multiple incoming pipes at the junction"))
        self.sbFlowTraceArea.setSuffix(_translate("IntegrityTool", "%"))
        self.cbFlowTraceInverts.setText(_translate("IntegrityTool", "Invert Check"))
        self.cbFlowTraceAngle.setText(_translate("IntegrityTool", "Angle Check"))
        self.label_14.setText(_translate("IntegrityTool", "Flag outflow angles less than:"))
        self.sbFlowTraceAngle.setSuffix(_translate("IntegrityTool", " deg"))
        self.cbFlowTraceCover.setText(_translate("IntegrityTool", "Ground Cover Check"))
        self.sbFlowTraceCover.setSuffix(_translate("IntegrityTool", " map units"))
        self.label_17.setText(_translate("IntegrityTool", "Flag cover depths less than (map units are determined by the project projection):"))
        self.cbFlowTraceLongPlots.setText(_translate("IntegrityTool", "Generate Long Plots"))
        self.pbUsePrevChan.setText(_translate("IntegrityTool", "Use Previously Selected Channels"))
        self.mGroupBox.setTitle(_translate("IntegrityTool", "Advanced"))
        self.sbTimeoutLimit.setSuffix(_translate("IntegrityTool", " sec"))
        self.label_19.setText(_translate("IntegrityTool", "Timeout limit"))
        self.label_20.setText(_translate("IntegrityTool", "Recursion limit"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.FlowTrace), _translate("IntegrityTool", "Flow Trace"))
        self.label_8.setText(_translate("IntegrityTool", "<html><head/><body><p><span style=\" font-weight:600;\">Checks and corrects for empty or duplicated Channel IDs.</span></p><p>Documentation:<br/><a href=\"https://wiki.tuflow.com/index.php?title=1D_Integrity_Tool_-_Channel_ID\"><span style=\" text-decoration: underline; color:#0000ff;\">https://wiki.tuflow.com/index.php?title=1D_Integrity_Tool_-_Channel_ID<br/></span></a></p></body></html>"))
        self.cbFindNonCompIDs.setText(_translate("IntegrityTool", "Flag non-compliant channel IDs"))
        self.cbFixChannelIDs.setText(_translate("IntegrityTool", "Fix non-compliant channel IDs"))
        self.groupBox.setTitle(_translate("IntegrityTool", "Rules"))
        self.label_13.setText(_translate("IntegrityTool", "Duplicates:"))
        self.rbDuplicateUseLetters.setText(_translate("IntegrityTool", "Append letters to duplicate IDs (e.g. pipe1 becomes pipe1a, pipe1b etc)"))
        self.rbDuplicateUseNumbers.setText(_translate("IntegrityTool", "Append number to duplicate IDs using delimiter (Default delimiter is _  e.g. pipe1_1, pipe1_2 etc) :"))
        self.label_10.setText(_translate("IntegrityTool", "Custom Delimiter"))
        self.leCustomDelim.setText(_translate("IntegrityTool", "_"))
        self.label_15.setText(_translate("IntegrityTool", "NULL or Empty IDs:"))
        self.label_23.setText(_translate("IntegrityTool", "Default Prefix"))
        self.label_24.setText(_translate("IntegrityTool", "Type"))
        self.label_25.setText(_translate("IntegrityTool", "Prefix"))
        self.label_26.setText(_translate("IntegrityTool", "Type"))
        self.label_27.setText(_translate("IntegrityTool", "Prefix"))
        self.label_28.setText(_translate("IntegrityTool", "Type"))
        self.label_29.setText(_translate("IntegrityTool", "Prefix"))
        self.label_30.setText(_translate("IntegrityTool", "Type"))
        self.label_31.setText(_translate("IntegrityTool", "Prefix"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab), _translate("IntegrityTool", "Channel ID"))
        self.label_32.setText(_translate("IntegrityTool", "<html><head/><body><p><span style=\" font-weight:600;\">Check for features with empty or null geometry.</span></p><p>Documentation:<br/><a href=\"https://wiki.tuflow.com/index.php?title=1D_Integrity_Tool_-_Empty_Geometry\"><span style=\" text-decoration: underline; color:#0000ff;\">https://wiki.tuflow.com/index.php?title=1D_Integrity_Tool_-_Empty_Geometry<br/></span></a></p></body></html>"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_2), _translate("IntegrityTool", "Empty Geometry"))
        self.runStatus.setText(_translate("IntegrityTool", "Ready"))
        self.pbRun.setText(_translate("IntegrityTool", "Run"))
from qgscollapsiblegroupbox import QgsCollapsibleGroupBox
import tuflow.resources.tuflow
